Fl_Text_Selection Class Reference

This is an internal class for Fl_Text_Buffer to manage text selections. More...

`#include <Fl_Text_Buffer.H>`

## Public Member Functions

int | end () const
| Return the byte ofsset to the character after the last selected character. More...
int | includes (int pos) const
| Return true if position `pos` with indentation `dispIndex` is in the Fl_Text_Selection.
int | position (int *start, int *end) const
| Return the positions of this selection. More...
bool | selected () const
| Returns true if any text is selected. More...
void | selected (bool b)
| Modify the 'selected' flag. More...
void | set (int start, int end)
| Set the selection range. More...
int | start () const
| Return the byte offset to the first selected character. More...
void | update (int pos, int nDeleted, int nInserted)
| Updates a selection afer text was modified. More...

## Protected Attributes

int | mEnd
| byte offset to the character after the last selected character
bool | mSelected
| this flag is set if any text is selected
int | mStart
| byte offset to the first selected character

## Friends

class | Fl_Text_Buffer

## Detailed Description

This is an internal class for Fl_Text_Buffer to manage text selections.

This class works correctly with utf-8 strings assuming that the parameters for all calls are on character boundaries.

## Member Function Documentation

int Fl_Text_Selection::end | ( |  | ) | const

inline

Return the byte ofsset to the character after the last selected character.

Returns
  byte offset

int Fl_Text_Selection::position | ( | int * | start,
|  | int * | end
| ) |  | const

Return the positions of this selection.

Parameters

  start | retrun byte offset to first selected character
  end | retrun byte offset pointing after last selected character

Returns
  true if selected

bool Fl_Text_Selection::selected | ( |  | ) | const

inline

Returns true if any text is selected.

Returns
  a non-zero number if any text has been selected, or 0 if no text is selected.

void Fl_Text_Selection::selected | ( | bool | b | ) |

inline

Modify the 'selected' flag.

Parameters

  b | new flag

void Fl_Text_Selection::set | ( | int | start,
|  | int | end
| ) |  |

Set the selection range.

Parameters

  start | byte offset to first selected character
  end | byte offset pointing after last selected character

int Fl_Text_Selection::start | ( |  | ) | const

inline

Return the byte offset to the first selected character.

Returns
  byte offset

void Fl_Text_Selection::update | ( | int | pos,
|  | int | nDeleted,
|  | int | nInserted
| ) |  |

Updates a selection afer text was modified.

Updates an individual selection for changes in the corresponding text

Parameters

  pos | byte offset into text buffer at which the change occured
  nDeleted | number of bytes deleted from the buffer
  nInserted | number of bytes inserted into the buffer

The documentation for this class was generated from the following files:

- Fl_Text_Buffer.H
- Fl_Text_Buffer.cxx

- © 1998-2012 by Bill Spitzak and others.